    import {SystemInstruction} from '@solana/web3'

public class | source

# SystemInstruction

#### Extends:

TransactionInstruction → SystemInstruction

System Instruction class

## Static Method Summary

Static Public Methods
public static | from(instruction: TransactionInstruction): SystemInstruction |

## Constructor Summary

Public Constructor
public | constructor(opts: TransactionInstructionCtorFields, type: SystemInstructionType) |

## Member Summary

Public Members
public get | amount: number | nullliteral The `amount` or `lamports` of the instruction; returns null if SystemInstructionType does not support this field |
public get | fromPublicKey: PublicKey | nullliteral The `from` public key of the instruction; returns null if SystemInstructionType does not support this field |
public get | toPublicKey: PublicKey | nullliteral The `to` public key of the instruction; returns null if SystemInstructionType does not support this field |
public | type: SystemInstructionType Type of SystemInstruction |

## Inherited Summary

From class TransactionInstruction
public | data: Buffer Program input |
public | keys: Array<object> Public keys to include in this transaction Boolean represents whether this pubkey needs to sign the transaction |
public | programId: PublicKey Program Id to execute |

## Static Public Methods

### public static from(instruction: TransactionInstruction): SystemInstruction source

#### Params:

Name | Type | Attribute | Description
instruction | TransactionInstruction |  |

#### Return:

SystemInstruction

## Public Constructors

### public constructor(opts: TransactionInstructionCtorFields, type: SystemInstructionType) source

#### Override:

TransactionInstruction#constructor

#### Params:

Name | Type | Attribute | Description
opts | TransactionInstructionCtorFields |  |
type | SystemInstructionType |  |

## Public Members

### public get amount: number | nullliteral source

The `amount` or `lamports` of the instruction; returns null if SystemInstructionType does not support this field

### public get fromPublicKey: PublicKey | nullliteral source

The `from` public key of the instruction; returns null if SystemInstructionType does not support this field

### public get toPublicKey: PublicKey | nullliteral source

The `to` public key of the instruction; returns null if SystemInstructionType does not support this field

### public type: SystemInstructionType source

Type of SystemInstruction